Knowledge Hub Management APIs - embedding-models
UpdatedDownload OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
List embedding models
List available embedding models.
Returns list of embedding models available for use when creating Knowledge Bases. Each model has specific dimensions and is backed by a specific provider (e.g., Bedrock).
Required privileges: KNOWLEDGE_HUB_DATA_PROVIDER_READ.
Authorizations:
HTTPBearer
query Parameters
| limit | integer (Limit) [ 1 .. 1000 ] Default: 50 Maximum results to return |
| offset | integer (Offset) >= 0 Default: 0 Pagination offset |
Responses
Response Schema: application/json
| total required | integer (Total) Total number of items matching filters |
| limit required | integer (Limit) Limit applied |
| offset required | integer (Offset) Offset applied |
required | Array of objects (Models) |
Response samples
- 200
- 422
Content type
application/json
{- "limit": 20,
- "models": [
- {
- "created_at": "2026-01-15T10:30:00Z",
- "created_by": "seed_data_system",
- "description": "Cohere's latest embedding model v4",
- "dimensions": 1024,
- "enabled": true,
- "id": "cohere.embed-v4:0",
- "name": "Cohere Embed v4",
- "provider": "bedrock",
- "updated_at": "2026-01-15T10:30:00Z",
- "updated_by": "seed_data_system"
}
], - "offset": 0,
- "total": 1
}Was this topic helpful?